'
' -------------------------------------------------------------------
' IsEnglish.Bas                          Jacques     August 4st, 2011
' 
'                   Demo  IsEnglish Include 
' See Header in IsEnglish.Inc
' -------------------------------------------------------------------
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
$Include "IsEnglish.Inc"
'
' Demo Code
' ---------
Print "\n         IsEnglish(banana)   : ";IsEnglishWord("banana")
Print   "         IsEnglish(banaana)  : ";IsEnglishWord("banaana")
Print   "         IsEnglish(bananna)  : ";IsEnglishWord("bananna")
Print   "(1st)    IsEnglish(aa)       : ";IsEnglishWord("aa")
Print   "(2st)    IsEnglish(aah)      : ";IsEnglishWord("aah")
Print   "(last-1) IsEnglish(zyzzyva)  : ";IsEnglishWord("zyzzyva")
Print   "(last)   IsEnglish(zyzzyvas) : ";IsEnglishWord("zyzzyvas")
Print   "         IsEnglish(terry)    : ";IsEnglishWord("terry")
Print   "         IsEnglish(john)     : ";IsEnglishWord("john")
Print   "         IsEnglish(jacques)  : ";IsEnglishWord("jacques")
Print   "         IsEnglish(me)       : ";IsEnglishWord("me")
'
DefInt i, j, iFakeCount = 0
Randomize Timer
DefStr sRndWord
'
Print "\nError rate test : "
For j = 1 To 1000000
    sRndWord = ""
    For i = 1 To 8
        sRndWord = sRndWord & Chr$(65 + (Rnd * 26))     ' uppercase : sure they cant match
    Next i
    If IsEnglishWord(sRndWord) <> -1 Then
        Print "  ";j;" attempt,  word \"";sRndWord;"\" found to be english"
        Inc iFakeCount
    End If
    DoEvents
Next j

Print "  ";iFakeCount;"  False english word found on  1000000 random words"
Print "  Fake ratio : one on ";Int(1000000/iFakeCount)
Print "  One bad spelling on  ";Int(1000000/iFakeCount);"  will be missed"

Print "\n100000 search start : ";Timer
For i = 0 To 100000
    IsEnglishWord("banana")
Next i
Print "100000 search Stop : ";Timer
Print "\n\n      ***   FINISHED   ***"
'
' -------------------------------------------------------------
' EXIT CONSOLE
' ------------
DefStr sExit
Input "\n\n                    CR to QUIT \n\n", sExit
Application.Terminate
'
